[
    {
        "Id": "b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb",
        "Created": "2025-08-19T06:05:42.121498481Z",
        "Path": "tini",
        "Args": [
            "--",
            "yarn",
            "start-prod"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 3712043,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-19T06:05:42.192283731Z",
            "FinishedAt": "0001-01-01T00:00:00Z"
        },
        "Image": "sha256:aa1a9e5640c8f0f6f0781b7b82c44236c59953273f20aab1376e58bc1d3217b9",
        "ResolvConfPath": "/var/lib/docker/containers/b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb/hostname",
        "HostsPath": "/var/lib/docker/containers/b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb/hosts",
        "LogPath": "/var/lib/docker/containers/b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb/b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb-json.log",
        "Name": "/joplin-app-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "joplin_default",
            "PortBindings": {
                "22300/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "22300"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "b266f61836b05b004661163fee8207beedfcfacdb535bd5446d0f26056b789fb",
                "LowerDir": "/var/lib/docker/overlay2/e14c6cdade7ec52494163e8a03d6dcca20dda40e16453378e9840df4b9f76720-init/diff:/var/lib/docker/overlay2/55fa092ab950658094ee47a631ddf459e99a65154b959fbf43d3be59d28bc7fd/diff:/var/lib/docker/overlay2/78886777cc1a099f72cbcc5ca07560fc830c8d83db759423176c9661f3ac0ae9/diff:/var/lib/docker/overlay2/d0f18b4cae32b44f4bfc9fc3724dcf2d548b76cecd9d2040a8eca222f2ad0bb9/diff:/var/lib/docker/overlay2/68703d3f202cbc7180a1c3360daa6f9f7b1303f188b351d2b4dad7336e5eca5a/diff:/var/lib/docker/overlay2/57f247d5977cd3350c3d09fd13024d22d3979ee7bdadbd518fc2d45a3da9b7c9/diff:/var/lib/docker/overlay2/af0214a15125af1672159b6c959c76d63642db8c8938f7e2b539acf87821af9a/diff:/var/lib/docker/overlay2/8fed6272480cad0a969a42e31aded3126cd5fd875a672f6ef712c297bf8015f7/diff:/var/lib/docker/overlay2/a98694e5ad3d53a76a510729666c7d2c17fd66c13916f91588ea1efa68914c6c/diff:/var/lib/docker/overlay2/d8ae9d4211ed214266123120d238c1018f9ea5b4c2e83a5cede1f8d7dd459204/diff",
                "MergedDir": "/var/lib/docker/overlay2/e14c6cdade7ec52494163e8a03d6dcca20dda40e16453378e9840df4b9f76720/merged",
                "UpperDir": "/var/lib/docker/overlay2/e14c6cdade7ec52494163e8a03d6dcca20dda40e16453378e9840df4b9f76720/diff",
                "WorkDir": "/var/lib/docker/overlay2/e14c6cdade7ec52494163e8a03d6dcca20dda40e16453378e9840df4b9f76720/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [],
        "Config": {
            "Hostname": "f0d03bfbfa44",
            "Domainname": "",
            "User": "joplin",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "22300/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "POSTGRES_USER=joplin",
                "POSTGRES_PORT=5432",
                "POSTGRES_HOST=db",
                "APP_PORT=22300",
                "APP_BASE_URL=http://omv800.tail6ca08d.ts.net:22300",
                "DB_CLIENT=pg",
                "POSTGRES_PASSWORD=joplin",
                "POSTGRES_DATABASE=joplin",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "NODE_VERSION=18.20.8",
                "YARN_VERSION=1.22.22",
                "NODE_ENV=production",
                "RUNNING_IN_DOCKER=1"
            ],
            "Cmd": [
                "yarn",
                "start-prod"
            ],
            "Image": "joplin/server:latest",
            "Volumes": null,
            "WorkingDir": "/home/joplin/packages/server",
            "Entrypoint": [
                "tini",
                "--"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "da591ea7425c896f27e7b72e06dc7505b8893b87cf82dd7ab9da16f636bb9771",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "db:service_healthy:false",
                "com.docker.compose.image": "sha256:c80f8dd6c21da4f283dcb93ff5eac445c02b53e77395776d4cf1eda40f42c347",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "joplin",
                "com.docker.compose.project.config_files": "",
                "com.docker.compose.project.working_dir": "/data/compose/102",
                "com.docker.compose.replace": "1b40daeeaaddc12a9f31fb9f1befaba1f20027dbc55dbd297fbbd94958161891",
                "com.docker.compose.service": "app",
                "com.docker.compose.version": "",
                "org.opencontainers.image.created": "2025-08-18T17:10:56+00:00",
                "org.opencontainers.image.description": "Docker image for Joplin Server",
                "org.opencontainers.image.revision": "9147afc",
                "org.opencontainers.image.source": "https://github.com/laurent22/joplin.git",
                "org.opencontainers.image.title": "Joplin Server",
                "org.opencontainers.image.url": "https://joplinapp.org/",
                "org.opencontainers.image.version": "3.4.2"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "b29764e4b0e99f1cab35a77d3b3d09ba325a1cbfdaefc48067efa11432997447",
            "SandboxKey": "/var/run/docker/netns/b29764e4b0e9",
            "Ports": {
                "22300/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "22300"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "22300"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "joplin_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "joplin-app-1",
                        "app",
                        "f0d03bfbfa44"
                    ],
                    "MacAddress": "5e:2f:27:cb:01:05",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "05432eea15b8a5e6021d417f8c3d1ea6b34cf4c9e24d2fb87ea578087ae83c95",
                    "EndpointID": "f8c363d5844057a27f2001b3961816df50771f19fbd2f109b8e27b89a39cde5c",
                    "Gateway": "172.19.0.1",
                    "IPAddress": "172.19.0.2",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "joplin-app-1",
                        "app",
                        "f0d03bfbfa44",
                        "b266f61836b0"
                    ]
                }
            }
        }
    }
]
